Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datastream
Class JRObjectResult

    java.lang.Object
      jet.datastream.JRObjectResult

All Implemented Interfaces:
  java.lang.Cloneable, PropertySetable

Direct Known Subclasses:
  JRVisiableResult

    public class JRObjectResult

extends java.lang.Object
implements PropertySetable, java.lang.Cloneable

This class specify the methods of saving, restoring the report result object. The save and resotre operation are work on a stream which is used to store JReport system report result.

Constructor Summary
`JRObjectResult()`

Method Summary
`java.lang.Object` | `clone()`
`void` | `dump(java.io.PrintStream stream)`
`JRObjectResult` | `dup(JRObjectResult obj)`
`JRecord` | `getCalculateRecord()` Modified by ZengHong, For fit in new conditions of v8
`Communicator` | `getCommunicator()`
`java.lang.String` | `getJetObjInstName()`
`int` | `getLinkComm()`
`int` | `getLinkCondition()`
`int` | `getLinkPage()`
`int` | `getObjectType()`
`Containable` | `getParent()`
`java.util.Hashtable` | `getProperties()`
`Propertiable` | `getProperty(short propertyName)`
`Propertiable` | `getPropertyByName(java.lang.String propertyName)` Get a property by specifed name.
`Propertiable` | `getPropertyByName(java.lang.String propertyName, Record record)` Get a property by specifed name and record, if the property is changed by record.
`JRecord` | `getRecord()` Get the record which the object based on.
`int` | `getResolution()` Get the Resolution of the printer.
`DSSection` | `getSection()`
`DSTableRow` | `getTableRow()`
`DSTemplatible` | `getTemplate()`
`short` | `getTemplateIndex()`
`java.lang.String` | `getUDOName()`
`boolean` | `isDirty()`
`void` | `setDirty(boolean d)`
`void` | `setLink(int comm, int page, int comparerIdx)`
`void` | `setNLSManager(JFieldValueNLSManager nlsManager)`
`void` | `setParent(Containable parent)`
`void` | `setTemplate(DSTemplatible template)`
`void` | `setTemplateIndex(short index)`
`static int` | `UTFLength(java.lang.String str)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRObjectResult

    public JRObjectResult()

Method Detail

### getTemplateIndex

    public short getTemplateIndex()

### setTemplateIndex

    public void setTemplateIndex(short index)

### getTemplate

    public DSTemplatible getTemplate()

### getJetObjInstName

    public java.lang.String getJetObjInstName()

### setTemplate

    public void setTemplate(DSTemplatible template)

### setParent

    public void setParent(Containable parent)

### getParent

    public Containable getParent()

### getObjectType

    public int getObjectType()

### getUDOName

    public final java.lang.String getUDOName()

### getProperties

    public final java.util.Hashtable getProperties()

  Specified by:
    `getProperties` in interface `PropertySetable`

### getPropertyByName

    public Propertiable getPropertyByName(java.lang.String propertyName)

  Get a property by specifed name.

  Specified by:
    `getPropertyByName` in interface `PropertySetable`

### getPropertyByName

    public Propertiable getPropertyByName(java.lang.String propertyName,
                                          Record record)

  Get a property by specifed name and record, if the property is changed by record.

### getProperty

    public final Propertiable getProperty(short propertyName)

  Specified by:
    `getProperty` in interface `PropertySetable`

### getCalculateRecord

    public JRecord getCalculateRecord()

  Modified by ZengHong, For fit in new conditions of v8

### getRecord

    public JRecord getRecord()

  Get the record which the object based on.

### getResolution

    public int getResolution()

  Get the Resolution of the printer. Modified By: Li xue chen TODO: used to get the resolution value from DSBody, if it can not be got form DSSection Modification Reason: DSObjects in v8 are not all based on section band and absolute position component in sections, so we can not guarantee we could get the resolution value from DSSection, but it must can be got from DSBody, so I modified following method

### getCommunicator

    public Communicator getCommunicator()

### getSection

    public final DSSection getSection()

### getTableRow

    public final DSTableRow getTableRow()

### dump

    public void dump(java.io.PrintStream stream)

### setLink

    public void setLink(int comm,
                        int page,
                        int comparerIdx)

### getLinkCondition

    public int getLinkCondition()

### getLinkPage

    public int getLinkPage()

### getLinkComm

    public int getLinkComm()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### dup

    public JRObjectResult dup(JRObjectResult obj)

### setDirty

    public void setDirty(boolean d)

### isDirty

    public boolean isDirty()

### UTFLength

    public static int UTFLength(java.lang.String str)

### setNLSManager

    public void setNLSManager(JFieldValueNLSManager nlsManager)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD